Commet
  • Precios
Iniciar SesiónRegistrarse
Add feature to plan POSTAdd price to plan POSTCreate plan POSTDelete plan price DELETEDelete plan DELETEDelete regional prices DELETEGet plan GETList plans GETRemove feature from plan DELETESet default price PUTSet plan visibility PUTUpdate plan feature PUTUpdate plan price PUTUpdate plan PUTUpsert regional prices PUT
DocumentaciónRecursosConstruir con AIAPI ReferenceWebhooks

Update plan price

Update an existing price on a plan.

Update plan feature PUT

Update limits, overage, or enabled status of a feature on a plan.

Update plan PUT

Update a plan's name, description, visibility, or metadata.

PUT
/plans/{id}/prices/{priceId}

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Path Parameters

id*string
priceId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

price?integer
Range0 <= value
isDefault?boolean
trialDays?integer
Range0 <= value
includedBalance?|
includedCredits?|

Response Body

application/json

curl -X PUT "https://commet.co/api/v1/plans/string/prices/string" \  -H "Content-Type: application/json" \  -d '{}'

application/json

application/json

Update an existing price on a plan.

Plan public ID

Price public ID

{
  "success": true,
  "data": {
    "object": "plan",
    "livemode": true,
    "id": "string",
    "planId": "string",
    "billingInterval": "string",
    "price": 0,
    "isDefault": true,
    "trialDays"





{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
{
  "success": false,
  "error": {
    "type": "validation_error",
    "code": "string",
    "message": "string",
    "doc_url": "string",
    "param": "string"
  }
}
:
0
,
"includedBalance": 0,
"includedCredits": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
}